Loading...
Searching...
No Matches
coap_cache_internal.h File Reference

CoAP cache internal information. More...

`#include "coap_internal.h"`
`#include "coap_io.h"`
`#include "coap_uthash_internal.h"`
Include dependency graph for coap_cache_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_digest_t
struct | coap_cache_key_t
struct | coap_cache_entry_t

## Typedefs

typedef struct coap_digest_t | coap_digest_t
typedef void | coap_digest_ctx_t

## Functions

void | coap_expire_cache_entries (coap_context_t *context)
| Expire coap_cache_entry_t entries.
coap_cache_entry_t * | coap_cache_get_by_key_lkd (coap_context_t *context, const coap_cache_key_t *cache_key)
| Searches for a cache-entry identified by `cache_key`.
coap_cache_entry_t * | coap_cache_get_by_pdu_lkd (coap_session_t *session, const coap_pdu_t *pdu, coap_cache_session_based_t session_based)
| Searches for a cache-entry corresponding to `pdu`.
int | coap_cache_ignore_options_lkd (coap_context_t *context, const uint16_t *options, size_t count)
| Define the CoAP options that are not to be included when calculating the cache-key.
coap_cache_entry_t * | coap_new_cache_entry_lkd (coap_session_t *session, const coap_pdu_t *pdu, coap_cache_record_pdu_t record_pdu, coap_cache_session_based_t session_based, unsigned int idle_time)
| Create a new cache-entry hash keyed by cache-key derived from the PDU.
coap_digest_ctx_t * | coap_digest_setup (void)
| Initialize a coap_digest.
void | coap_digest_free (coap_digest_ctx_t *digest_ctx)
| Free off coap_digest_ctx_t.
int | coap_digest_update (coap_digest_ctx_t *digest_ctx, const uint8_t *data, size_t data_len)
| Update the coap_digest information with the next chunk of data.
int | coap_digest_final (coap_digest_ctx_t *digest_ctx, coap_digest_t *digest_buffer)
| Finalize the coap_digest information into the provided `digest_buffer`.

## Detailed Description

CoAP cache internal information.

Definition in file coap_cache_internal.h.